%define name    misdn
%define version 1.5
%define libname %mklibname %{name}
%define snap    20090602
%define release %mkrel %{snap}.1
%define	epoch	2

Summary:	Modular ISDN (mISDN) version 2
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Group:		System/Libraries
License:	GPL
URL:		http://www.misdn.org/index.php/Main_Page
Source0:	http://www.linux-call-router.de/download/lcr-%{version}/mISDNuser_%{snap}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
mISDN supports a complete BRI and PRI ETSI compliant DSS1 protocol stack for
the TE mode and for the NT mode. It is the successor of the "old" isdn4linux
subsystem, in particular its "HiSax" family of drivers. It has growing
support for the interface cards of hisax and additionally supports
the cool HFCmulti chip based cards

%package -n	%{libname}
Summary:	Modular ISDN (mISDN) libraries
Group:		System/Libraries
Epoch:		%{epoch}

%description -n	%{libname}
Modular ISDN (mISDN) is the new ISDN stack of the linux kernel
version 2.6.

This package provides the shared mISDN libraries.

%package -n	%{libname}-devel
Summary:	Static library and header files for the mISDN libraries
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Epoch:		%{epoch}

%description -n	%{libname}-devel
Modular ISDN (mISDN) is the new ISDN stack of the linux kernel
version 2.6.

This package provides shared and static libraries and header
files.

%prep

%setup -q -n mISDNuser

# fix strange perms
find . -type f -exec chmod 644 {} \;
find . -type d -exec chmod 755 {} \;

# cvs cleanup
for i in `find . -type d -name CVS` `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
	if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
LDFLAGS="${LDFLAGS}"  ; export LDFLAGS
%make INSTALL_PREFIX=%{buildroot} INSTALL_LIBDIR=%{_libdir}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall INSTALL_PREFIX=%{buildroot} INSTALL_LIBDIR=%{_libdir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/mISDNuser/*.*
%{_libdir}/*.a



%changelog
* Wed Jun 10 2009 Lonyai Gergely <aleph@mandriva.org> 2:1.5-20090602.1mdv2010.0
+ Revision: 384689
- version change
- resolv version mitchmatch (hope)
- update to 1.5
 - snapshot: 20090602
 - Now support mISDN2 kernel modules
 - Drop old mISDN support
- Update to 2009-01-07 snapshot

* Mon Jun 16 2008 Anssi Hannula <anssi@mandriva.org> 1:3.4-0.20061023.3mdv2009.0
+ Revision: 219464
- fix broken symlink in -devel package
- use %%ldflags and fix underlinking

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:3.4-0.20061023.2mdv2008.1
+ Revision: 130007
- kill re-definition of %%buildroot on Pixel's request


* Tue Oct 24 2006 Oden Eriksson <oeriksson@mandriva.com> 3.4-0.20061023.2mdv2007.0
+ Revision: 72069
- make it actually work...
- update to the latest code from cvs (3.4+)
- rediff the shared patch
- bundle the kernel headers as a tar ball
- Import misdn

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-1mdv2007.0
- rebuild

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-2mdk
- rebuild

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-1mdk
- 3.0
- change include dir name to match asterisk-1.2.4+

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:3.0-0.beta.3mdk
- added one gcc4 fix

* Sun Apr 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:3.0-0.beta.2mdk
- fix deps (forgot epoch, oops!)

* Sun Apr 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0-0.beta.1mdk
- use the jolly code instead (3.0 beta)
- use the %%mkrel macro
- use epoch

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20040708-2mdk
- hack the headers location

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 20040708-1mdk
- initial mandrake package

